Resource

Incident Episode

Manage incident episodes (groups of related incidents) for your project

The Incident Episode Model

Properties

  • Name
    _id
    Type
    Object ID
    Description

    ID of this object

  • Name
    createdAt
    Type
    Date
    Description

    Date and Time when the object was created.

  • Name
    updatedAt
    Type
    Date
    Description

    Date and Time when the object was updated.

  • Name
    project
    Type
    Project
    Description

    Relation to Project Resource in which this object belongs

  • Name
    projectId
    Type
    Object IDRequired
    Description

    ID of your Project in which this object belongs

  • Name
    title
    Type
    Long TextRequired
    Description

    Title of this incident episode

  • Name
    description
    Type
    Markdown
    Description

    Description of this incident episode. This is in markdown format.

  • Name
    episodeNumber
    Type
    Number
    Description

    Auto-incrementing episode number per project

  • Name
    episodeNumberWithPrefix
    Type
    Text
    Description

    Episode number with prefix (e.g., 'IE-42' or '#42')

  • Name
    currentIncidentState
    Type
    Incident State
    Description

    Current state of this episode. Is the episode acknowledged? or resolved?

  • Name
    currentIncidentStateId
    Type
    Object IDRequired
    Description

    Current Incident State ID

  • Name
    incidentSeverity
    Type
    Incident Severity
    Description

    High-water mark severity of this episode. Represents the highest severity among all member incidents.

  • Name
    incidentSeverityId
    Type
    Object ID
    Description

    Incident Severity ID

  • Name
    rootCause
    Type
    Markdown
    Description

    User-documented root cause of this episode

  • Name
    lastIncidentAddedAt
    Type
    Date
    Description

    When the last incident was added to this episode

  • Name
    resolvedAt
    Type
    Date
    Description

    When this episode was resolved

  • Name
    allIncidentsResolvedAt
    Type
    Date
    Description

    When all incidents in this episode were first detected as resolved. Used for resolve delay calculation.

  • Name
    assignedToUser
    Type
    User
    Description

    User who is assigned to this episode

  • Name
    assignedToUserId
    Type
    Object ID
    Description

    User ID who is assigned to this episode

  • Name
    assignedToTeam
    Type
    Team
    Description

    Team that is assigned to this episode

  • Name
    assignedToTeamId
    Type
    Object ID
    Description

    Team ID that is assigned to this episode

  • Name
    onCallDutyPolicies
    Type
    On-Call Policy
    Description

    List of on-call duty policies to execute for this episode.

  • Name
    isOnCallPolicyExecuted
    Type
    BooleanRequired
    Description

    Whether the on-call policy has been executed for this episode

  • Name
    incidentCount
    Type
    NumberRequired
    Description

    Denormalized count of incidents in this episode

  • Name
    titleTemplate
    Type
    Long Text
    Description

    Template used to generate the episode title. Stored for dynamic variable updates.

  • Name
    descriptionTemplate
    Type
    Long Text
    Description

    Template used to generate the episode description. Stored for dynamic variable updates.

  • Name
    isManuallyCreated
    Type
    BooleanRequired
    Description

    Whether this episode was manually created vs auto-created by a rule

  • Name
    labels
    Type
    Label
    Description

    Relation to Labels Array where this object is categorized in.

  • Name
    createdByUser
    Type
    User
    Description

    Relation to User who created this object (if this object was created by a User)

  • Name
    createdByUserId
    Type
    Object ID
    Description

    User ID who created this object (if this object was created by a User)

  • Name
    isOwnerNotifiedOfEpisodeCreation
    Type
    BooleanRequired
    Description

    Are owners notified when this episode is created?

  • Name
    groupingKey
    Type
    Long Text
    Description

    Key used for grouping incidents into this episode. Generated from groupByFields of the matching rule.

  • Name
    incidentGroupingRule
    Type
    Incident Grouping Rule
    Description

    Relation to the Incident Grouping Rule that created this episode (if applicable)

  • Name
    incidentGroupingRuleId
    Type
    Object ID
    Description

    ID of the Incident Grouping Rule that created this episode (if applicable)

  • Name
    remediationNotes
    Type
    Markdown
    Description

    User-documented remediation steps and notes for this episode

  • Name
    postmortemNote
    Type
    Markdown
    Description

    User-documented postmortem summary for this episode

  • Name
    postUpdatesToWorkspaceChannels
    Type
    JSON
    Description

    Workspace channels to post episode updates to (e.g., Slack, Microsoft Teams)

  • Name
    isVisibleOnStatusPage
    Type
    BooleanRequired
    Description

    Should this episode be visible on the status page?

  • Name
    declaredAt
    Type
    Date
    Description

    When this episode was declared

  • Name
    shouldStatusPageSubscribersBeNotifiedOnEpisodeCreated
    Type
    Boolean
    Description

    Should status page subscribers be notified when this episode is created?

  • Name
    subscriberNotificationStatusMessage
    Type
    Very Long Text
    Description

    Status message for subscriber notifications - includes success messages, failure reasons, or skip reasons

GETorPOST/api/incident-episode/get-list

List

This endpoint allows you to retrieve a paginated list of all your Incident Episode. By default, a maximum of ten Incident Episode are shown per page.

Optional Query Params

  • limit
    number
    Number of objects to fetch. By default 10, you can increase this count up to 100
  • skip
    number
    Number of objects to skip. This can be useful in pagination

Optional Request Body

List Request

POST
/api/incident-episode/get-list?skip=0&limit=10
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "select": {
    "currentIncidentStateId": true,
    "incidentCount": true,
    "isManuallyCreated": true,
    "isOnCallPolicyExecuted": true,
    "isOwnerNotifiedOfEpisodeCreation": true
  },
  "query": {
    "title": "Example title"
  },
  "sort": {
    "createdAt": -1
  }
}

Response

{
  "count": 10,
  "limit": 10,
  "skip": 0,
  "data": [
    {
      "_id": "376f20b0-28fe-11f1-b591-3fdcef396aba",
      "currentIncidentStateId": "550e8400-e29b-41d4-a716-446655440000",
      "incidentCount": 100,
      "isManuallyCreated": true,
      "isOnCallPolicyExecuted": true,
      "isOwnerNotifiedOfEpisodeCreation": true
    },
    {
      "_id": "376f20b1-28fe-11f1-b591-3fdcef396aba",
      "currentIncidentStateId": "550e8400-e29b-41d4-a716-446655440000",
      "incidentCount": 100,
      "isManuallyCreated": true,
      "isOnCallPolicyExecuted": true,
      "isOwnerNotifiedOfEpisodeCreation": true
    },
    {
      "_id": "376f20b2-28fe-11f1-b591-3fdcef396aba",
      "currentIncidentStateId": "550e8400-e29b-41d4-a716-446655440000",
      "incidentCount": 100,
      "isManuallyCreated": true,
      "isOnCallPolicyExecuted": true,
      "isOwnerNotifiedOfEpisodeCreation": true
    }
  ]
}
GETorPOST/api/incident-episode/:id/get-item

Get item by ID

This endpoint allows you to retrieve Incident Episode by ID.

  • id
    text
    ID of the Object

Optional Request Body

Get Item Request

POST
/api/incident-episode/:id/get-item
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "select": {
    "currentIncidentStateId": true,
    "incidentCount": true,
    "isManuallyCreated": true,
    "isOnCallPolicyExecuted": true,
    "isOwnerNotifiedOfEpisodeCreation": true
  }
}

Response

{
  "_id": "376f20b0-28fe-11f1-b591-3fdcef396aba",
  "currentIncidentStateId": "550e8400-e29b-41d4-a716-446655440000",
  "incidentCount": 100,
  "isManuallyCreated": true,
  "isOnCallPolicyExecuted": true,
  "isOwnerNotifiedOfEpisodeCreation": true
}
POST/api/incident-episode/count

Count

This endpoint allows you to retrieve the count of all your Incident Episode.

Optional Request Body

Count Request

POST
/api/incident-episode/count
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "query": {
    "title": "Example title"
  }
}

Response

{
  "count": 107
}
POST/api/incident-episode

Create Incident Episode

This endpoint allows you to create a new object.

Create Request

POST
/api/incident-episode
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "data": {
    "currentIncidentStateId": "550e8400-e29b-41d4-a716-446655440000",
    "isManuallyCreated": true,
    "isVisibleOnStatusPage": true,
    "projectId": "550e8400-e29b-41d4-a716-446655440000",
    "title": "Example title"
  }
}

Response

{
  "_id": "376f20b0-28fe-11f1-b591-3fdcef396aba",
  "currentIncidentStateId": "550e8400-e29b-41d4-a716-446655440000",
  "incidentCount": 100,
  "isManuallyCreated": true,
  "isOnCallPolicyExecuted": true,
  "isOwnerNotifiedOfEpisodeCreation": true
}
PUT/api/incident-episode/:id

Update by ID

This endpoint allows you to update object by its ID.

Alternative Methods

For clients that do not support PUT requests, you can use POST or GET with the same request headers and body:

POST/api/incident-episode/:id/update-item
GET/api/incident-episode/:id/update-item

Update Request

PUT
/api/incident-episode/:id
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "data": {
    "currentIncidentStateId": "550e8400-e29b-41d4-a716-446655440000",
    "isVisibleOnStatusPage": true,
    "title": "Example title"
  }
}

Response

{}
DELETE/api/incident-episode/:id

Delete by ID

This endpoint allows you to delete object by its ID.

Alternative Methods

For clients that do not support DELETE requests, you can use POST or GET with the same request headers and body:

POST/api/incident-episode/:id/delete-item
GET/api/incident-episode/:id/delete-item

Delete Request

DELETE
/api/incident-episode/:id
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY

Response

{}

Permissions

Your API Token needs permissions to create, update, read or delete this resource. If you do not have permissions to make a request a 4xx status will be sent as response.

Read Permissions

Required to read Incident Episode

  • Project Owner
  • Project Admin
  • Project Member
  • Read Incident Episode
  • Read All Project Resources

Create Permissions

Required to create Incident Episode

  • Project Owner
  • Project Admin
  • Project Member
  • Create Incident Episode

Update Permissions

Required to update Incident Episode

  • Project Owner
  • Project Admin
  • Project Member
  • Edit Incident Episode

Delete Permissions

Required to delete Incident Episode

  • Project Owner
  • Project Admin
  • Project Member
  • Delete Incident Episode